org.eclipse.aether.transfer

## Enum TransferEvent.EventType

- java.lang.Object
- - java.lang.Enum<TransferEvent.EventType>
  - - org.eclipse.aether.transfer.TransferEvent.EventType

- All Implemented Interfaces:
    Serializable, Comparable<TransferEvent.EventType>
  Enclosing class:
    TransferEvent

      public static enum TransferEvent.EventType
      extends Enum<TransferEvent.EventType>

  The type of the event.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CORRUPTED`
    `FAILED`
    `INITIATED`
    `PROGRESSED`
    `STARTED`
    `SUCCEEDED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TransferEvent.EventType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TransferEvent.EventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INITIATED

          public static final TransferEvent.EventType INITIATED

      See Also:
        `TransferListener.transferInitiated(TransferEvent)`

    - #### STARTED

          public static final TransferEvent.EventType STARTED

      See Also:
        `TransferListener.transferStarted(TransferEvent)`

    - #### PROGRESSED

          public static final TransferEvent.EventType PROGRESSED

      See Also:
        `TransferListener.transferProgressed(TransferEvent)`

    - #### CORRUPTED

          public static final TransferEvent.EventType CORRUPTED

      See Also:
        `TransferListener.transferCorrupted(TransferEvent)`

    - #### SUCCEEDED

          public static final TransferEvent.EventType SUCCEEDED

      See Also:
        `TransferListener.transferSucceeded(TransferEvent)`

    - #### FAILED

          public static final TransferEvent.EventType FAILED

      See Also:
        `TransferListener.transferFailed(TransferEvent)`

  - ### Method Detail

    - #### values

          public static TransferEvent.EventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TransferEvent.EventType c : TransferEvent.EventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TransferEvent.EventType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2010-2012 The Eclipse Foundation. All Rights Reserved.